Subject: Re: bug#52045: [PATCH] gnu: Add cl-clm.

From: jgart <[email-masked]>
Date: Thu, 7 Jul 2022 19:16:18 -0500

On Thu, 07 Jul 2022 14:23:37 -0400 Maxim Cournoyer <[email-masked]> wrote:
> Hello,
> 
> jgart <[email-masked]> writes:
> 
> > On Tue, 12 Apr 2022 12:15:27 +0000 Guillaume Le Vaillant <[email-masked]> wrote:
> >> jgart <[email-masked]> skribis:
> >> 
> >> > On Sat, 09 Apr 2022 18:31:38 -0400 jgart <[email-masked]> wrote:
> >> >
> >> > And that sbcl-clm and cl-clm are now in Guix 'R Us:
> >> >
> >> > https://git.sr.ht/~whereiseveryone/guixrus/tree/master/item/guixrus/packages/lisp.scm#L2371
> >> 
> >> After entering the :clm package and trying some simple examples using the
> >> "v.ins" instrument, it failed because of some missing ".so" shared library.
> >> Does it work for you?
> >
> > It fails because of the missing ".so" shared library for me also.
> >
> > Here are some notes from the author of clm:
> >
> > Try this:
> >
> > ```
> > (compile-file "v.ins")
> > (load "v")
> > ```
> >
> > ``
> >> I had also experienced this error when first running `(require :clm)`
> >> in a sbcl repl:
> >
> > It looks like you're running pulse audio and need something from alsa?
> > Maybe it's related to the code that builds sndplay in initmus.lisp.
> > ``
> >
> > The above is from Bill regarding the shared library code.
> 
> What is the status of this?  Has the effort been abandoned?  I'm of the
> opinion that WIP do not belongs to guix-patches, lest reviewers be
> drowned in a sea of unclosable tickets :-).  You are welcome to post it
> to guix-devel though, where it will be archived for interested parties
> to pick it up.
> 
> Thanks,
> 
> Maxim

Maxim,

Feel free to close this for now. I'll prioritize it again when I find the time.

all best,

jgart